Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Document Class Reference
[XMLDOM Parser]

Inheritance diagram for Document:

## Detailed Description

Document node.

## Public Member Functions
Element * | getDocumentElement ()
Node * | appendChild (Node *newChild)
Element * | createElement (const String *tagName)
Text * | createTextNode (const String *data)
Comment * | createComment (const String *data)
ProcessingInstruction * | createProcessingInstruction (const String *target, const String *data)
## Protected Attributes
int | line
int | pos
Element * | documentElement

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.